Package org.eclipse.lemminx.settings

## Class LSPFormattingOptions

- java.lang.Object
- - org.eclipse.lemminx.settings.LSPFormattingOptions

Direct Known Subclasses:
  `XMLFormattingOptions`

    public class LSPFormattingOptions
    extends Object

Value-object describing what options formatting should use.

This class redefines the LSP4J `FormattingOptions` without extending `LinkedHashMap` (public class FormattingOptions extends LinkedHashMap<String, Either3<String, Number, Boolean>> {).

FormattingOptions can support only String, Number, Boolean, but not Array of String. It is the reason why LemMinX redefines LSPFormattingOptions.

### Constructor Summary

Constructors
`LSPFormattingOptions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getTabSize()`
`boolean` `isInsertFinalNewline()`
`boolean` `isInsertSpaces()`
`boolean` `isTrimFinalNewlines()`
`boolean` `isTrimTrailingWhitespace()`
`void` `setInsertFinalNewline​(boolean insertFinalNewline)`
`void` `setInsertSpaces​(boolean insertSpaces)`
`void` `setTabSize​(int tabSize)`
`void` `setTrimFinalNewlines​(boolean trimFinalNewlines)`
`void` `setTrimTrailingWhitespace​(boolean trimTrailingWhitespace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LSPFormattingOptions

    public LSPFormattingOptions()

### Method Detail

#### getTabSize

    public int getTabSize()

#### setTabSize

    public void setTabSize​(int tabSize)

#### isInsertSpaces

    public boolean isInsertSpaces()

#### setInsertSpaces

    public void setInsertSpaces​(boolean insertSpaces)

#### isTrimTrailingWhitespace

    public boolean isTrimTrailingWhitespace()

#### setTrimTrailingWhitespace

    public void setTrimTrailingWhitespace​(boolean trimTrailingWhitespace)

#### isInsertFinalNewline

    public boolean isInsertFinalNewline()

#### setInsertFinalNewline

    public void setInsertFinalNewline​(boolean insertFinalNewline)

#### isTrimFinalNewlines

    public boolean isTrimFinalNewlines()

#### setTrimFinalNewlines

    public void setTrimFinalNewlines​(boolean trimFinalNewlines)